Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLFontElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLFontElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLFontElement, Node

public class JRexHTMLFontElementImpl
extends JRexHTMLElementImpl
implements HTMLFontElement

A class implementing org.w3c.dom.html2.HTMLFontElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLFontElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getColor()` Font color.
`String` | `getFace()` Font face identifier.
`String` | `getSize()` Font size.
`void` | `setColor(String color)` Font color.
`void` | `setFace(String face)` Font face identifier.
`void` | `setSize(String size)` Font size.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getColor

    public String getColor()

  Description copied from interface: `HTMLFontElement`
  Font color. See the color attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getColor` in interface `HTMLFontElement`

### setColor

    public void setColor(String color)

  Description copied from interface: `HTMLFontElement`
  Font color. See the color attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setColor` in interface `HTMLFontElement`

### getFace

    public String getFace()

  Description copied from interface: `HTMLFontElement`
  Font face identifier. See the face attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getFace` in interface `HTMLFontElement`

### setFace

    public void setFace(String face)

  Description copied from interface: `HTMLFontElement`
  Font face identifier. See the face attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setFace` in interface `HTMLFontElement`

### getSize

    public String getSize()

  Description copied from interface: `HTMLFontElement`
  Font size. See the size attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getSize` in interface `HTMLFontElement`

### setSize

    public void setSize(String size)

  Description copied from interface: `HTMLFontElement`
  Font size. See the size attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setSize` in interface `HTMLFontElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.